/**
 * Copyright (c) 2008, SnakeYAML
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
package org.yaml.snakeyaml.extensions.compactnotation;

public class Container {

  private final String title;
  private String name;
  private String id;

  public Container() {
    this("no title");
  }

  public Container(String title) {
    this.title = title;
  }

  @Override
  public boolean equals(Object obj) {
    if (obj instanceof Container) {
      Container c = (Container) obj;
      if (name != null && !name.equals(c.name)) {
        return false;
      }
      if (id != null && !id.equals(c.id)) {
        return false;
      }
      return title.equals(c.title);
    } else {
      return false;
    }
  }

  @Override
  public int hashCode() {
    return title.hashCode();
  }

  @Override
  public String toString() {
    return "Container=" + title;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getTitle() {
    return title;
  }
}
